| Home | Libraries | People | FAQ | More

## Class unknown_option

boost::program_options::unknown_option

## Synopsis

    // In header: <boost/program_options/errors.hpp>

    class unknown_option : public boost::program_options::error {
    public:
      // construct/copy/destruct
      unknown_option(const std::string &);
      ~unknown_option();

      // public member functions
      const std::string & get_option_name() const;
    };

## Description

Class thrown when option name is not recognized.

### `unknown_option` public construct/copy/destruct

1.     unknown_option(const std::string & name);

2.     ~unknown_option();

### `unknown_option` public member functions

1.     const std::string & get_option_name() const;